# libdar::data_tree Class Reference
[Private]

the data_tree class stores presence of a given file in a set of archives More...

`#include <data_tree.hpp>`

Inherited by libdar::data_dir.

List of all members.

## Public Member Functions
bool | get_data (archive_num &archive, const infinint &date) const
| return the archive where to find the data that was defined at this just before or at that date
bool | get_EA (archive_num &archive, const infinint &date) const
| if EA has been saved alone later, returns in which version for the state of the file at the given date.
bool | read_data (archive_num num, infinint &val) const
| return the date of last modification within this archive
bool | read_EA (archive_num num, infinint &val) const
| return the date of last inode change
virtual bool | remove_all_from (const archive_num &archive)
| return true if the corresponding file is no more located by any archive (thus, the object is no more usefull)
void | listing (user_interaction &dialog) const
| list where is saved this file
virtual void | skip_out (archive_num num)
| decrement archive numbers above num

## Detailed Description

the data_tree class stores presence of a given file in a set of archives

the data associated to a given file are the different modification dates that this file has been found in the archive the database has been feed by

Definition at line 55 of file data_tree.hpp.

The documentation for this class was generated from the following file:

- data_tree.hpp